#pragma once

#include <Redacted3D/types/vertex.h>
#include <Redacted3D/types/entity/moby.h>

///Simple skybox, A sphere with a texture on it where the center of the sphere is always the camera.
class Skybox : public Moby {
public:
     void pre_render() override;
     Skybox();
    void render() override;
};